//
//  BrushPreviewView.swift
//  Sense2
//
//  Created by Daniel Hauagge on 2/28/16.
//  Copyright © 2016 Daniel Hauagge. All rights reserved.
//

import UIKit

class BrushPreviewView: UIView {
    
    var brushColor = UIColor.blackColor() {
        didSet {
            setNeedsDisplay() // forces a redraw of the widget
        }
    }
    
    var brushRadius : CGFloat = 30.0 {
        didSet {
            setNeedsDisplay()
        }
    }

    override func drawRect(rect: CGRect) {
        super.drawRect(rect)
        
        let context = UIGraphicsGetCurrentContext()

        UIColor.whiteColor().setFill()
        CGContextFillRect(context, rect)

        brushColor.setFill()
        var brushCirc = CGRectMake(0, 0, 2 * brushRadius, 2 * brushRadius)
        brushCirc.origin.x = rect.origin.x + rect.size.width/2 - brushRadius
        brushCirc.origin.y = rect.origin.y + rect.size.height/2 - brushRadius
        CGContextFillEllipseInRect(context, brushCirc)

        CGContextStrokePath(context)
    }
}
